Bug 678128 (cdw) - Review Request: cdw - Front-end for tools used for burning data CD/DVD
Summary: Review Request: cdw - Front-end for tools used for burning data CD/DVD
Keywords:
Status: CLOSED ERRATA
Alias: cdw
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-16 20:44 UTC by Sergio Belkin
Modified: 2012-08-10 18:37 UTC (History)
5 users (show)

Fixed In Version: cdw-0.6.0-8.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-14 10:21:10 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Belkin 2011-02-16 20:44:00 UTC
Spec URL: http://dl.dropbox.com/u/14217893/cdw.spec
SRPM URL: http://dl.dropbox.com/u/14217893/cdw-0.6.0-1.fc14.src.rpm
Description: 

Hi! I've made the cdw RPM package. If you are looking a faster alternative to k3b, cdw is great! I use it often in my job tasks as sysadmin.

cdw is a front-end for some command-line tools used for burning data CD and
DVD discs and for related tasks. cdw is able to rip tracks from your audio CD
to raw audio files. Limited support for copying content of data CD and DVD
discs to image files is also provided.
cdw can verify correctness of writing ISO9660 image to CD or DVD
disc using md5sum program (if it is installed on target machine).

Bear in mind that I am not the author of the software, who is Kamil Ignacak the URL project is in http://cdw.sourceforge.net/

Comment 1 Sergio Belkin 2011-02-16 21:08:58 UTC
Hi, I append this rpmlint and rpm output I guess you find useful (this is *not* a new files submission):


[sergio@peque SPECS]$ rpmlint -iv /tmp/cdw-0.6.0-1.fc14.src.rpm 

cdw.src: I: checking
cdw.src: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
cdw.src: I: checking-url http://downloads.sourceforge.net/cdw/cdw-0.6.0.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[sergio@peque SPECS]$ rpmlint -iv /tmp/cdw-0.6.0-1.fc14.x86_64.rpm 
cdw.x86_64: I: checking
cdw.x86_64: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[sergio@peque SPECS]$ rpmlint -iv cdw.spec 
cdw.spec: I: checking-url http://downloads.sourceforge.net/cdw/cdw-0.6.0.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[sergio@peque SPECS]$ rpmlint -iv ../RPMS/i686/cdw-0.6.0-1.fc14.i686.rpm 
cdw.i686: I: checking
cdw.i686: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings

cdw-debuginfo.i686: I: checking
cdw-debuginfo.i686: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[sergio@peque SPECS]$ 


[sergio@peque SPECS]$ rpm -qlp ../RPMS/i686/cdw-0.6.0-1.fc14.i686.rpm
/usr/bin/cdw
/usr/share/man/man1/cdw.1.gz
[sergio@peque SPECS]$ rpm -qlp /tmp/cdw-0.6.0-1.fc14.x86_64.rpm 
/usr/bin/cdw
/usr/share/man/man1/cdw.1.gz

I would appreciate your review and your sponsorship. Thanks in advance!

Comment 2 Sergio Belkin 2011-02-17 20:32:57 UTC
Hi,

I've replaced LDFLAGS for the more suitable variable LIBS on build stage.

Spec URL: http://dl.dropbox.com/u/14217893/cdw.spec
SRPM URL: http://dl.dropbox.com/u/14217893/cdw-0.6.0-2.fc16.src.rpm


rpmlint output:

[sergio@peque tmp]$ for i in cdw*2*  ~/rpmbuild/SPECS/cdw.spec; do echo "rpmlint -i -v $i:" && rpmlint -i -v  $i;done
rpmlint -i -v cdw-0.6.0-2.fc16.i686.rpm:
cdw.i686: I: checking
cdw.i686: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v cdw-0.6.0-2.fc16.src.rpm:
cdw.src: I: checking
cdw.src: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
cdw.src: I: checking-url http://downloads.sourceforge.net/cdw/cdw-0.6.0.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v cdw-0.6.0-2.fc16.x86_64.rpm:
cdw.x86_64: I: checking
cdw.x86_64: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v cdw-debuginfo-0.6.0-2.fc16.i686.rpm:
cdw-debuginfo.i686: I: checking
cdw-debuginfo.i686: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v cdw-debuginfo-0.6.0-2.fc16.x86_64.rpm:
cdw-debuginfo.x86_64: I: checking
cdw-debuginfo.x86_64: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v /home/sergio/rpmbuild/SPECS/cdw.spec:
/home/sergio/rpmbuild/SPECS/cdw.spec: I: checking-url http://downloads.sourceforge.net/cdw/cdw-0.6.0.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


rpm -qlp output:

rpm -qlp  cdw-0.6.0-2.fc16.i686.rpm:
/usr/bin/cdw
/usr/share/man/man1/cdw.1.gz
rpm -qlp  cdw-0.6.0-2.fc16.x86_64.rpm:
/usr/bin/cdw
/usr/share/man/man1/cdw.1.gz
rpm -qlp  cdw-debuginfo-0.6.0-2.fc16.i686.rpm:
/usr/lib/debug
/usr/lib/debug/.build-id
/usr/lib/debug/.build-id/d0
/usr/lib/debug/.build-id/d0/033df2c998822dc41e178a49e65bf00fe8078e
/usr/lib/debug/.build-id/d0/033df2c998822dc41e178a49e65bf00fe8078e.debug
/usr/lib/debug/usr
/usr/lib/debug/usr/bin
/usr/lib/debug/usr/bin/cdw.debug
/usr/src/debug/cdw-0.6.0
/usr/src/debug/cdw-0.6.0/gnulib
/usr/src/debug/cdw-0.6.0/gnulib/lib
/usr/src/debug/cdw-0.6.0/gnulib/lib/canonicalize.c
/usr/src/debug/cdw-0.6.0/gnulib/lib/canonicalize.h
/usr/src/debug/cdw-0.6.0/gnulib/lib/cycle-check.c
/usr/src/debug/cdw-0.6.0/gnulib/lib/cycle-check.h
/usr/src/debug/cdw-0.6.0/gnulib/lib/dev-ino.h
/usr/src/debug/cdw-0.6.0/gnulib/lib/xreadlink.c
/usr/src/debug/cdw-0.6.0/src
/usr/src/debug/cdw-0.6.0/src/configuration
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config.c
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config.h
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config_ui.c
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config_ui_internals.c
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config_ui_internals.h
/usr/src/debug/cdw-0.6.0/src/disc_and_drive
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio.c
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio.h
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio_drives.c
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio_drives.h
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_disc.c
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_disc.h
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_drive.c
/usr/src/debug/cdw-0.6.0/src/external_tools
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_cdrecord.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_cdrecord_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_format.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_format_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_mediainfo.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_mediainfo_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_ext_tools.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_ext_tools.h
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_growisofs.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_growisofs_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_md5sum.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_md5sum.h
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_md5sum_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_mkisofs.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_mkisofs_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_regex_dispatch.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_thread.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_which.c
/usr/src/debug/cdw-0.6.0/src/main.c
/usr/src/debug/cdw-0.6.0/src/main.h
/usr/src/debug/cdw-0.6.0/src/native_file_system
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file.h
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file_manager.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file_picker.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file_picker.h
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs.h
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs_browser.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs_browser.h
/usr/src/debug/cdw-0.6.0/src/optical_file_systems
/usr/src/debug/cdw-0.6.0/src/optical_file_systems/cdw_graftpoints.c
/usr/src/debug/cdw-0.6.0/src/optical_file_systems/cdw_iso9660.c
/usr/src/debug/cdw-0.6.0/src/optical_file_systems/iso9660.h
/usr/src/debug/cdw-0.6.0/src/optical_file_systems/isosize.c
/usr/src/debug/cdw-0.6.0/src/tasks
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_burn_disc.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_create_image.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_erase_disc.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_erase_disc.h
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_read_disc.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_read_disc_info.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_task.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_task.h
/usr/src/debug/cdw-0.6.0/src/user_interface
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_colors.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_colors.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_erase_wizard.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_form.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_form.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_help.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_list_display.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_list_display.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_main_window.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_main_window.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_ncurses.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_ncurses.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_processwin.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_text_file_viewer.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_widgets.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_widgets.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_write_wizard.c
/usr/src/debug/cdw-0.6.0/src/utilities
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_dll.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_dll.h
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_logging.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_regex.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_regex.h
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_string.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_sys.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_utils.c
rpm -qlp  cdw-debuginfo-0.6.0-2.fc16.x86_64.rpm:
/usr/lib/debug
/usr/lib/debug/.build-id
/usr/lib/debug/.build-id/f2
/usr/lib/debug/.build-id/f2/8227f58387b17e9248c15d80a10b24f4a2f1e5
/usr/lib/debug/.build-id/f2/8227f58387b17e9248c15d80a10b24f4a2f1e5.debug
/usr/lib/debug/usr
/usr/lib/debug/usr/bin
/usr/lib/debug/usr/bin/cdw.debug
/usr/src/debug/cdw-0.6.0
/usr/src/debug/cdw-0.6.0/gnulib
/usr/src/debug/cdw-0.6.0/gnulib/lib
/usr/src/debug/cdw-0.6.0/gnulib/lib/canonicalize.c
/usr/src/debug/cdw-0.6.0/gnulib/lib/canonicalize.h
/usr/src/debug/cdw-0.6.0/gnulib/lib/cycle-check.c
/usr/src/debug/cdw-0.6.0/gnulib/lib/cycle-check.h
/usr/src/debug/cdw-0.6.0/gnulib/lib/dev-ino.h
/usr/src/debug/cdw-0.6.0/gnulib/lib/xreadlink.c
/usr/src/debug/cdw-0.6.0/src
/usr/src/debug/cdw-0.6.0/src/configuration
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config.c
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config.h
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config_ui.c
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config_ui_internals.c
/usr/src/debug/cdw-0.6.0/src/configuration/cdw_config_ui_internals.h
/usr/src/debug/cdw-0.6.0/src/disc_and_drive
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio.c
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio.h
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio_drives.c
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio_drives.h
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_disc.c
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_disc.h
/usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_drive.c
/usr/src/debug/cdw-0.6.0/src/external_tools
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_cdrecord.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_cdrecord_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_format.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_format_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_mediainfo.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_mediainfo_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_ext_tools.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_ext_tools.h
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_growisofs.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_growisofs_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_md5sum.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_md5sum.h
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_md5sum_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_mkisofs.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_mkisofs_regex.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_regex_dispatch.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_thread.c
/usr/src/debug/cdw-0.6.0/src/external_tools/cdw_which.c
/usr/src/debug/cdw-0.6.0/src/main.c
/usr/src/debug/cdw-0.6.0/src/main.h
/usr/src/debug/cdw-0.6.0/src/native_file_system
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file.h
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file_manager.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file_picker.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file_picker.h
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs.h
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs_browser.c
/usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs_browser.h
/usr/src/debug/cdw-0.6.0/src/optical_file_systems
/usr/src/debug/cdw-0.6.0/src/optical_file_systems/cdw_graftpoints.c
/usr/src/debug/cdw-0.6.0/src/optical_file_systems/cdw_iso9660.c
/usr/src/debug/cdw-0.6.0/src/optical_file_systems/iso9660.h
/usr/src/debug/cdw-0.6.0/src/optical_file_systems/isosize.c
/usr/src/debug/cdw-0.6.0/src/tasks
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_burn_disc.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_create_image.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_erase_disc.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_erase_disc.h
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_read_disc.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_read_disc_info.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_task.c
/usr/src/debug/cdw-0.6.0/src/tasks/cdw_task.h
/usr/src/debug/cdw-0.6.0/src/user_interface
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_colors.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_colors.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_erase_wizard.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_form.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_form.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_help.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_list_display.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_list_display.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_main_window.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_main_window.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_ncurses.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_ncurses.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_processwin.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_text_file_viewer.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_widgets.c
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_widgets.h
/usr/src/debug/cdw-0.6.0/src/user_interface/cdw_write_wizard.c
/usr/src/debug/cdw-0.6.0/src/utilities
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_dll.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_dll.h
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_logging.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_regex.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_regex.h
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_string.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_sys.c
/usr/src/debug/cdw-0.6.0/src/utilities/cdw_utils.c

I would appreciate your review and your sponsorship. Thanks in advance!

Comment 3 Sergio Belkin 2011-02-18 03:49:02 UTC
Removed %clean section.

Spec URL: http://dl.dropbox.com/u/14217893/cdw.spec
SRPM URL: http://dl.dropbox.com/u/14217893/cdw-0.6.0-3.fc16.src.rpm

I look forward your review and your sponsorship. Thanks again.

Comment 4 Patryk Obara 2011-02-19 19:13:15 UTC
(This is not normal review, because I am novice packager, but a bit of of feedback):

1) You're missing %doc in your files section, maybe fill it like this:

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog NEWS README THANKS

it will take named files from unpacked tarball and place it correctly in %{_docdir}/%{name}-%{version}, where they belong :)
You completely have to do it at least for COPYING file.

2) I don't think you need
%attr(755,root,root) before %{_bindir}/*

make install should already take care of that

3) (aesthetics, it doesn't really matter ;))
- add/remove some spaces before values for fields: Name,Release and Requires - to make all values start in same column
- remove unneeded multiple spaces after Requires fields

Comment 5 Sergio Belkin 2011-02-19 20:59:16 UTC

(In reply to comment #4)
> (This is not normal review, because I am novice packager, but a bit of of
> feedback):

Thanks Patryk for your time.
> 
> 1) You're missing %doc in your files section, maybe fill it like this:
> 
> %files
> %defattr(-,root,root,-)
> %doc COPYING AUTHORS ChangeLog NEWS README THANKS

Done!

Updated files:

Spec URL: http://dl.dropbox.com/u/14217893/cdw.spec
SRPM URL: http://dl.dropbox.com/u/14217893/cdw-0.6.0-4.fc16.src.rpm


> 
> it will take named files from unpacked tarball and place it correctly in
> %{_docdir}/%{name}-%{version}, where they belong :)
> You completely have to do it at least for COPYING file.
> 
> 2) I don't think you need
> %attr(755,root,root) before %{_bindir}/*
> 
> make install should already take care of that

Yes it should, I don't think that it was harmful, however, I've removed :)

> 
> 3) (aesthetics, it doesn't really matter ;))
> - add/remove some spaces before values for fields: Name,Release and Requires -
> to make all values start in same column
> - remove unneeded multiple spaces after Requires fields

I've fixed that too, now spec file looks great, doesn't it?

Thanks again you say that you're novice, but the suggestions were quite usefuel. I look forward for your review and sponsorship, if you need that I fix anything else, let me know. Cheers

rpmlint output:

[sergio@peque tmp]$ for i in cdw-0.6.0-4*rpm   ~/rpmbuild/SPECS/UpTools.spec; do echo "rpmlint -i -v $i:" && rpmlint -i -v  $i;done
rpmlint -i -v cdw-0.6.0-4.fc16.i686.rpm:
cdw.i686: I: checking
cdw.i686: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v cdw-0.6.0-4.fc16.src.rpm:
cdw.src: I: checking
cdw.src: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
cdw.src: I: checking-url http://downloads.sourceforge.net/cdw/cdw-0.6.0.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v cdw-0.6.0-4.fc16.x86_64.rpm:
cdw.x86_64: I: checking
cdw.x86_64: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v /home/sergio/rpmbuild/SPECS/UpTools.spec:
/home/sergio/rpmbuild/SPECS/UpTools.spec: I: checking-url http://www.palermo.edu/ingenieria/UpTools-8.5.4.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpm -qlp output:
rpm -qlp  cdw-0.6.0-4.fc16.i686.rpm:
/usr/bin/cdw
/usr/share/doc/cdw-0.6.0
/usr/share/doc/cdw-0.6.0/AUTHORS
/usr/share/doc/cdw-0.6.0/COPYING
/usr/share/doc/cdw-0.6.0/ChangeLog
/usr/share/doc/cdw-0.6.0/NEWS
/usr/share/doc/cdw-0.6.0/README
/usr/share/doc/cdw-0.6.0/THANKS
/usr/share/man/man1/cdw.1.gz
rpm -qlp  cdw-0.6.0-4.fc16.src.rpm:
cdw-0.6.0.tar.gz
cdw.spec
rpm -qlp  cdw-0.6.0-4.fc16.x86_64.rpm:
/usr/bin/cdw
/usr/share/doc/cdw-0.6.0
/usr/share/doc/cdw-0.6.0/AUTHORS
/usr/share/doc/cdw-0.6.0/COPYING
/usr/share/doc/cdw-0.6.0/ChangeLog
/usr/share/doc/cdw-0.6.0/NEWS
/usr/share/doc/cdw-0.6.0/README
/usr/share/doc/cdw-0.6.0/THANKS
/usr/share/man/man1/cdw.1.gz



Thanks again

Comment 6 Sergio Belkin 2011-02-22 23:47:51 UTC
Some 
- Minor change in BuildRequires
- Fixed typo in Requires and comment
- Added %%check section

Spec URL: http://dl.dropbox.com/u/14217893/cdw.spec
SRPM URL: http://dl.dropbox.com/u/14217893/cdw-0.6.0-5.fc16.src.rpm

I need your review and your sponsorship. Below you can read my review, rpmlint output and file list.

MUST ITEMS

[x] rpmlint output


rpmlint -i -v cdw-0.6.0-5.fc16.i686.rpm:
cdw.i686: I: checking
cdw.i686: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v cdw-0.6.0-5.fc16.src.rpm:
cdw.src: I: checking
cdw.src: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
cdw.src: I: checking-url http://downloads.sourceforge.net/cdw/cdw-0.6.0.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v cdw-0.6.0-5.fc16.x86_64.rpm:
cdw.x86_64: I: checking
cdw.x86_64: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v cdw-debuginfo-0.6.0-5.fc16.i686.rpm:
cdw-debuginfo.i686: I: checking
cdw-debuginfo.i686: I: checking-url http://cdw.sourceforge.net/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v /home/sergio/rpmbuild/SPECS/cdw.spec:
/home/sergio/rpmbuild/SPECS/cdw.spec: I: checking-url http://downloads.sourceforge.net/cdw/cdw-0.6.0.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


[x] The package is named according to the Package Naming Guidelines .
[x] The spec file name matches the base package %{name}, in the format %{name}.spec
[x] The package meets the Packaging Guidelines.
[x] The package is licensed with a Fedora approved license and meet the Licensing Guidelines . (GPLv2)
[x] The License field in the package spec file matches the actual license.
[x] The source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] The spec file is written in American English.
[x] The spec file for the package is legible.
[x] The sources used to build the package matches the upstream source, as provided in the spec URL. md5sum: 808601f91e3aa13e539b98e684cec1a9
[x] The package successfully compiles and builds into binary rpms on two primary architectures
[x] All build dependencies are listed in BuildRequires
[x] No locale files.
[x] Packages does NOT bundle copies of system libraries.
[x] Package is not designed to be relocatable.
[x] A package  owns all directories that it creates. (See below rpm output)
[x] No  file  listed more than once in the spec file's %files listings. 
[x] Permissions on files are set properly. Executables are set with executable permissions. Every %files section  includes a %defattr(...) line.
[x] Each package has consistently use macros.
[x] The package  contains codes, or permissable content.
[x] There is no large documentation files
[x] The program runs properly even if %doc it is not present
[x] Packages does not own files or directories already owned by other packages.
[x] All filenames in rpm packages are valid UTF-8.

File list  cdw-0.6.0-5.fc16.i686.rpm:
-rwxr-xr-x    1 root    root                   224196 feb 22 17:00 /usr/bin/cdw
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/share/doc/cdw-0.6.0
-rw-r--r--    1 root    root                      414 jul  1  2010 /usr/share/doc/cdw-0.6.0/AUTHORS
-rw-r--r--    1 root    root                    17992 may 30  2002 /usr/share/doc/cdw-0.6.0/COPYING
-rw-r--r--    1 root    root                    36554 oct 22 16:14 /usr/share/doc/cdw-0.6.0/ChangeLog
-rw-r--r--    1 root    root                    16394 oct 22 16:21 /usr/share/doc/cdw-0.6.0/NEWS
-rw-r--r--    1 root    root                     4492 oct 22 15:46 /usr/share/doc/cdw-0.6.0/README
-rw-r--r--    1 root    root                      194 jul  1  2010 /usr/share/doc/cdw-0.6.0/THANKS
-rw-r--r--    1 root    root                     8910 feb 22 17:00 /usr/share/man/man1/cdw.1.gz
File list  cdw-0.6.0-5.fc16.src.rpm:
-rw-rw-r--    1 mockbuilmockbuil               673530 ene 30 23:05 cdw-0.6.0.tar.gz
-rw-rw-r--    1 mockbuilmockbuil                 1690 feb 22 16:50 cdw.spec
File list  cdw-0.6.0-5.fc16.x86_64.rpm:
-rwxr-xr-x    1 root    root                   220584 feb 22 17:00 /usr/bin/cdw
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/share/doc/cdw-0.6.0
-rw-r--r--    1 root    root                      414 jul  1  2010 /usr/share/doc/cdw-0.6.0/AUTHORS
-rw-r--r--    1 root    root                    17992 may 30  2002 /usr/share/doc/cdw-0.6.0/COPYING
-rw-r--r--    1 root    root                    36554 oct 22 16:14 /usr/share/doc/cdw-0.6.0/ChangeLog
-rw-r--r--    1 root    root                    16394 oct 22 16:21 /usr/share/doc/cdw-0.6.0/NEWS
-rw-r--r--    1 root    root                     4492 oct 22 15:46 /usr/share/doc/cdw-0.6.0/README
-rw-r--r--    1 root    root                      194 jul  1  2010 /usr/share/doc/cdw-0.6.0/THANKS
-rw-r--r--    1 root    root                     8910 feb 22 17:00 /usr/share/man/man1/cdw.1.gz
File list  cdw-debuginfo-0.6.0-5.fc16.i686.rpm:
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/lib/debug
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/lib/debug/.build-id
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/lib/debug/.build-id/d0
lrwxrwxrwx    1 root    root                       19 feb 22 17:00 /usr/lib/debug/.build-id/d0/033df2c998822dc41e178a49e65bf00fe8078e -> ../../../../bin/cdw
lrwxrwxrwx    1 root    root                       23 feb 22 17:00 /usr/lib/debug/.build-id/d0/033df2c998822dc41e178a49e65bf00fe8078e.debug -> ../../usr/bin/cdw.debug
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/lib/debug/usr
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/lib/debug/usr/bin
-r--r--r--    1 root    root                   569252 feb 22 17:00 /usr/lib/debug/usr/bin/cdw.debug
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/gnulib
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/gnulib/lib
-rw-r--r--    1 root    root                     7773 may  5  2010 /usr/src/debug/cdw-0.6.0/gnulib/lib/canonicalize.c
-rw-r--r--    1 root    root                     2004 may  5  2010 /usr/src/debug/cdw-0.6.0/gnulib/lib/canonicalize.h
-rw-r--r--    1 root    root                     2738 may  5  2010 /usr/src/debug/cdw-0.6.0/gnulib/lib/cycle-check.c
-rw-r--r--    1 root    root                     1688 may  5  2010 /usr/src/debug/cdw-0.6.0/gnulib/lib/cycle-check.h
-rw-r--r--    1 root    root                      148 may  5  2010 /usr/src/debug/cdw-0.6.0/gnulib/lib/dev-ino.h
-rw-r--r--    1 root    root                     3287 may  5  2010 /usr/src/debug/cdw-0.6.0/gnulib/lib/xreadlink.c
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/src
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/src/configuration
-rw-r--r--    1 root    root                    66107 oct 22 11:57 /usr/src/debug/cdw-0.6.0/src/configuration/cdw_config.c
-rw-r--r--    1 root    root                     7379 oct  3 10:58 /usr/src/debug/cdw-0.6.0/src/configuration/cdw_config.h
-rw-r--r--    1 root    root                     6872 sep  7 18:02 /usr/src/debug/cdw-0.6.0/src/configuration/cdw_config_ui.c
-rw-r--r--    1 root    root                    78759 oct 22 11:56 /usr/src/debug/cdw-0.6.0/src/configuration/cdw_config_ui_internals.c
-rw-r--r--    1 root    root                     2681 sep 17 08:47 /usr/src/debug/cdw-0.6.0/src/configuration/cdw_config_ui_internals.h
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/src/disc_and_drive
-rw-r--r--    1 root    root                    62154 oct 16 11:37 /usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio.c
-rw-r--r--    1 root    root                     2154 sep 19 10:08 /usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio.h
-rw-r--r--    1 root    root                     9653 sep  7 18:02 /usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio_drives.c
-rw-r--r--    1 root    root                      749 oct 21 16:18 /usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_cdio_drives.h
-rw-r--r--    1 root    root                    35261 oct 17 08:10 /usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_disc.c
-rw-r--r--    1 root    root                     3955 sep  6 18:08 /usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_disc.h
-rw-r--r--    1 root    root                    24039 oct 21 13:14 /usr/src/debug/cdw-0.6.0/src/disc_and_drive/cdw_drive.c
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/src/external_tools
-rw-r--r--    1 root    root                    39152 oct 20 14:06 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_cdrecord.c
-rw-r--r--    1 root    root                    48584 oct 16 06:50 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_cdrecord_regex.c
-rw-r--r--    1 root    root                     4313 sep 12 09:45 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_format.c
-rw-r--r--    1 root    root                     5164 sep 12 09:45 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_format_regex.c
-rw-r--r--    1 root    root                     6094 sep 19 13:31 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_mediainfo.c
-rw-r--r--    1 root    root                    22665 sep 12 09:45 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_dvd_rw_mediainfo_regex.c
-rw-r--r--    1 root    root                    45091 oct 19 18:14 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_ext_tools.c
-rw-r--r--    1 root    root                     2090 sep  4 05:31 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_ext_tools.h
-rw-r--r--    1 root    root                    23315 sep 12 09:45 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_growisofs.c
-rw-r--r--    1 root    root                    39322 oct  3 10:48 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_growisofs_regex.c
-rw-r--r--    1 root    root                    17042 oct 20 14:08 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_md5sum.c
-rw-r--r--    1 root    root                      309 sep 16 17:10 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_md5sum.h
-rw-r--r--    1 root    root                     4034 sep 12 09:44 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_md5sum_regex.c
-rw-r--r--    1 root    root                    13577 sep 14 15:39 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_mkisofs.c
-rw-r--r--    1 root    root                    19230 sep 12 09:44 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_mkisofs_regex.c
-rw-r--r--    1 root    root                    14278 sep 16 12:32 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_regex_dispatch.c
-rw-r--r--    1 root    root                    20555 sep 12 09:44 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_thread.c
-rw-r--r--    1 root    root                     4409 sep  7 18:01 /usr/src/debug/cdw-0.6.0/src/external_tools/cdw_which.c
-rw-r--r--    1 root    root                    16356 oct 20 15:29 /usr/src/debug/cdw-0.6.0/src/main.c
-rw-r--r--    1 root    root                     2523 sep  1 18:16 /usr/src/debug/cdw-0.6.0/src/main.h
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/src/native_file_system
-rw-r--r--    1 root    root                    38763 oct 18 10:09 /usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file.c
-rw-r--r--    1 root    root                     2155 may 23  2010 /usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file.h
-rw-r--r--    1 root    root                    31450 sep  7 18:02 /usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file_manager.c
-rw-r--r--    1 root    root                    23578 oct 18 10:09 /usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file_picker.c
-rw-r--r--    1 root    root                      553 sep 16 17:07 /usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_file_picker.h
-rw-r--r--    1 root    root                    58450 oct 20 15:16 /usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs.c
-rw-r--r--    1 root    root                     2425 ago 29 09:57 /usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs.h
-rw-r--r--    1 root    root                    25287 oct 22 16:05 /usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs_browser.c
-rw-r--r--    1 root    root                     1487 sep  1 18:16 /usr/src/debug/cdw-0.6.0/src/native_file_system/cdw_fs_browser.h
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/src/optical_file_systems
-rw-r--r--    1 root    root                    12815 jun  9  2010 /usr/src/debug/cdw-0.6.0/src/optical_file_systems/cdw_graftpoints.c
-rw-r--r--    1 root    root                     3092 sep 12 09:05 /usr/src/debug/cdw-0.6.0/src/optical_file_systems/cdw_iso9660.c
-rw-r--r--    1 root    root                     6964 may 17  2009 /usr/src/debug/cdw-0.6.0/src/optical_file_systems/iso9660.h
-rw-r--r--    1 root    root                     2661 ago  1  2010 /usr/src/debug/cdw-0.6.0/src/optical_file_systems/isosize.c
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/src/tasks
-rw-r--r--    1 root    root                    18317 oct 20 14:59 /usr/src/debug/cdw-0.6.0/src/tasks/cdw_burn_disc.c
-rw-r--r--    1 root    root                     6223 sep 12 09:04 /usr/src/debug/cdw-0.6.0/src/tasks/cdw_create_image.c
-rw-r--r--    1 root    root                     9976 oct 20 14:55 /usr/src/debug/cdw-0.6.0/src/tasks/cdw_erase_disc.c
-rw-r--r--    1 root    root                      295 ago 19  2010 /usr/src/debug/cdw-0.6.0/src/tasks/cdw_erase_disc.h
-rw-r--r--    1 root    root                    19309 oct 19 18:14 /usr/src/debug/cdw-0.6.0/src/tasks/cdw_read_disc.c
-rw-r--r--    1 root    root                    12329 oct 21 13:17 /usr/src/debug/cdw-0.6.0/src/tasks/cdw_read_disc_info.c
-rw-r--r--    1 root    root                    53315 oct  3 12:13 /usr/src/debug/cdw-0.6.0/src/tasks/cdw_task.c
-rw-r--r--    1 root    root                     7866 sep  4 05:31 /usr/src/debug/cdw-0.6.0/src/tasks/cdw_task.h
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/src/user_interface
-rw-r--r--    1 root    root                    14866 oct 18 10:36 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_colors.c
-rw-r--r--    1 root    root                      737 may 17  2009 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_colors.h
-rw-r--r--    1 root    root                    26670 oct 20 14:46 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_erase_wizard.c
-rw-r--r--    1 root    root                    22492 oct 17 10:22 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_form.c
-rw-r--r--    1 root    root                     3192 oct 17 10:20 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_form.h
-rw-r--r--    1 root    root                     8838 sep 12 09:11 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_help.c
-rw-r--r--    1 root    root                    26011 ago 15  2010 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_list_display.c
-rw-r--r--    1 root    root                     2676 jun 13  2010 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_list_display.h
-rw-r--r--    1 root    root                    37415 oct 18 10:11 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_main_window.c
-rw-r--r--    1 root    root                     2437 sep 16 17:06 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_main_window.h
-rw-r--r--    1 root    root                    26334 oct 18 10:12 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_ncurses.c
-rw-r--r--    1 root    root                     1259 may 23  2010 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_ncurses.h
-rw-r--r--    1 root    root                    23384 oct 22 10:20 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_processwin.c
-rw-r--r--    1 root    root                    10915 sep  7 18:00 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_text_file_viewer.c
-rw-r--r--    1 root    root                    70371 oct 19 18:15 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_widgets.c
-rw-r--r--    1 root    root                     6385 ago 29 09:57 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_widgets.h
-rw-r--r--    1 root    root                    31869 sep  7 18:00 /usr/src/debug/cdw-0.6.0/src/user_interface/cdw_write_wizard.c
drwxr-xr-x    2 root    root                        0 feb 22 17:00 /usr/src/debug/cdw-0.6.0/src/utilities
-rw-r--r--    1 root    root                    38020 jun 12  2010 /usr/src/debug/cdw-0.6.0/src/utilities/cdw_dll.c
-rw-r--r--    1 root    root                     1179 may 28  2010 /usr/src/debug/cdw-0.6.0/src/utilities/cdw_dll.h
-rw-r--r--    1 root    root                    16299 sep 12 09:07 /usr/src/debug/cdw-0.6.0/src/utilities/cdw_logging.c
-rw-r--r--    1 root    root                     7164 oct  3 08:08 /usr/src/debug/cdw-0.6.0/src/utilities/cdw_regex.c
-rw-r--r--    1 root    root                     1491 sep 16 16:45 /usr/src/debug/cdw-0.6.0/src/utilities/cdw_regex.h
-rw-r--r--    1 root    root                    33968 ago 15  2010 /usr/src/debug/cdw-0.6.0/src/utilities/cdw_string.c
-rw-r--r--    1 root    root                    11949 oct 20 14:09 /usr/src/debug/cdw-0.6.0/src/utilities/cdw_sys.c
-rw-r--r--    1 root    root                    17839 oct 20 14:48 /usr/src/debug/cdw-0.6.0/src/utilities/cdw_utils.c

SHOULD LIST

"Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do." However let's see:

[x] Source package includes license text(s) as a separate file from upstream.
[-] The description and summary sections in the package spec file does not contain translations for supported Non-English languages, if available.
[x] Tested the package was built fine in mock.
[?] The package compiles and build into binary rpms on all supported architectures.
[!] A package does not segfault. Intensive testing burning CD/DVD are welcome :)
[x] No scriptlet used
[x] No pkgconfig(.pc) used
[x] No file dependencies
[x] It has manpage

Comment 7 Sergio Belkin 2011-02-24 16:40:04 UTC
Hi,

I've resubmitted the spec file because it had an incorrect weekday date in last entry. Because is an error restricted to a spec file I've found not needed to increase the E-V-R. If I'm wrong please let me to know.

I've made the terrible and unforgivable mistake :(  My little son is on holidays and sometimes  I miss something with him play around :)


The URL's are the same:

Spec URL: http://dl.dropbox.com/u/14217893/cdw.spec
SRPM URL: http://dl.dropbox.com/u/14217893/cdw-0.6.0-5.fc16.src.rpm


Please, I need your review and your sponsorship.

Thanks in advance

Comment 8 Sergio Belkin 2011-02-26 23:32:03 UTC
Hi,

I've fixed the lacking of intermediate lines between changelog entries

Spec URL: http://dl.dropbox.com/u/14217893/cdw.spec
SRPM URL: http://dl.dropbox.com/u/14217893/cdw-0.6.0-6.fc16.src.rpm


Thanks in advance

Comment 9 Raghu Udiyar 2011-02-27 14:38:19 UTC
Hi,

The package looks good. Now you need to find a sponsor. 

To do this you can do "informal" reviews on other packages and reference them here, so that sponsors can see that you have understood the guidelines. You can read more about getting sponsorship here : http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 10 Mamoru TASAKA 2011-02-27 18:52:51 UTC
(Removing NEEDSPONSOR)

Comment 11 William Lima 2011-02-28 14:32:31 UTC
why assign yourself to the bug?

Comment 12 Sergio Belkin 2011-02-28 14:48:09 UTC
Yup, it was a silly mistake. Removing. I though incorrectly that it was already approved.

Comment 13 Sergio Belkin 2011-02-28 14:52:29 UTC
I was tempted for "Nobody's working on this, feel free to take it" message and that I could do it. Sorry again.

Comment 14 Mamoru TASAKA 2011-02-28 18:20:06 UTC
Some comments

* License
  - The license tag should be GPLv2+, from source codes and
    man file.

* Timestamps
  - Please consider to use
---------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
---------------------------------------------------------
    to keep timestamps on installed man file.

? ${LIBS}
  - It seems that before setting LIBS environ LIBS is null, and
    LIBS="-lm" is sufficient.

Comment 15 Sergio Belkin 2011-02-28 19:55:26 UTC
(In reply to comment #14)

Updated file URL's
***
Spec URL: http://dl.dropbox.com/u/14217893/cdw.spec
SRPM URL: http://dl.dropbox.com/u/14217893/cdw-0.6.0-7.fc16.src.rpm
***

> Some comments
> 
> * License
>   - The license tag should be GPLv2+, from source codes and
>     man file.

You're right. Fixed.

> 
> * Timestamps
>   - Please consider to use
> ---------------------------------------------------------
> make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
> ---------------------------------------------------------
>     to keep timestamps on installed man file.

Fixed!

> 
> ? ${LIBS}
>   - It seems that before setting LIBS environ LIBS is null, and
>     LIBS="-lm" is sufficient.

Yup, it's null, fixed too!

Thanks Mamoru!

Comment 16 Mamoru TASAKA 2011-02-28 21:01:10 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > * Timestamps
> >   - Please consider to use
> > ---------------------------------------------------------
> > make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
> > ---------------------------------------------------------

The above line is one line (i.e. INSTALL="install -p" is the option
of "make" command).

> >     to keep timestamps on installed man file.
> 
> > ? ${LIBS}
> >   - It seems that before setting LIBS environ LIBS is null, and
> >     LIBS="-lm" is sufficient.
> 
> Yup, it's null, fixed too!

This does not seem to be fixed yet.

By the way, now you can use fedorapeople.org site for hosting your srpm
and so on. Please try it, see:
https://fedoraproject.org/wiki/Fedorapeople.org

Comment 17 Sergio Belkin 2011-02-28 22:13:09 UTC
(In reply to comment #16)

Hi Mamoru

Firstly the newly files URL's:
***
http://sebelk.fedorapeople.org/cdw-0.6.0-8.fc14.src.rpm
http://sebelk.fedorapeople.org/cdw.spec
***


> (In reply to comment #15)
> > (In reply to comment #14)
> > > * Timestamps
> > >   - Please consider to use
> > > ---------------------------------------------------------
> > > make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
> > > ---------------------------------------------------------
> 
> The above line is one line (i.e. INSTALL="install -p" is the option
> of "make" command).

Shame on me :(

> 
> > >     to keep timestamps on installed man file.
> > 
> > > ? ${LIBS}
> > >   - It seems that before setting LIBS environ LIBS is null, and
> > >     LIBS="-lm" is sufficient.
> > 
> > Yup, it's null, fixed too!
> 
> This does not seem to be fixed yet.

Id. above.

> 
> By the way, now you can use fedorapeople.org site for hosting your srpm
> and so on. Please try it, see:
> https://fedoraproject.org/wiki/Fedorapeople.org

Now those mistakes are fixed and files are in fedorapeople.org :)

Thanks in advance

Comment 18 Mamoru TASAKA 2011-03-04 19:36:20 UTC
Approving.

---------------------------------------------------
    This package (cdw) is APPOVED by mtasaka
---------------------------------------------------

Comment 19 Sergio Belkin 2011-03-04 23:26:56 UTC
New Package SCM Request
=======================
Package Name: cdw
Short Description: Front-end for tools used for burning data CD/DVD
Owners: sebelk
Branches: f13 f14 f15 el6
InitialCC:

Comment 20 Sergio Belkin 2011-03-05 14:06:24 UTC
New Package SCM Request
=======================
Package Name: cdw
Short Description: Front-end for tools used for burning data CD/DVD
Owners: sebelk
Branches: f13 f14 f15 el6
InitialCC:

Comment 21 Jason Tibbitts 2011-03-05 17:03:26 UTC
Git done (by process-git-requests).

Comment 22 Fedora Update System 2011-03-05 21:00:04 UTC
cdw-0.6.0-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cdw-0.6.0-8.fc14

Comment 23 Fedora Update System 2011-03-05 21:01:21 UTC
cdw-0.6.0-8.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cdw-0.6.0-8.fc13

Comment 24 Fedora Update System 2011-03-05 21:02:31 UTC
cdw-0.6.0-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cdw-0.6.0-8.fc15

Comment 25 Fedora Update System 2011-03-06 03:42:04 UTC
cdw-0.6.0-8.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cdw'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cdw-0.6.0-8.fc15

Comment 26 Fedora Update System 2011-03-14 10:21:04 UTC
cdw-0.6.0-8.fc14 has been pushed to the Fedora 14 stable repository.

Comment 27 Fedora Update System 2011-03-14 10:23:38 UTC
cdw-0.6.0-8.fc13 has been pushed to the Fedora 13 stable repository.

Comment 28 Fedora Update System 2011-03-21 03:31:46 UTC
cdw-0.6.0-8.fc15 has been pushed to the Fedora 15 stable repository.

Comment 29 Fedora Update System 2012-07-22 18:11:44 UTC
cdw-0.7.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cdw-0.7.1-3.el6

Comment 30 Fedora Update System 2012-08-10 18:37:20 UTC
cdw-0.7.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.